Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.navigation
Class FindEndElementNavigator

    java.lang.Object
      org.apache.cocoon.stax.navigation.FindEndElementNavigator

All Implemented Interfaces:
  Navigator

    public class FindEndElementNavigator

extends Object
implements Navigator

This implementation of the `Navigator` returns true of `Navigator.fulfillsCriteria(XMLEvent)` any time it is called with a `EndElement` full filling all conditions the `Navigator` was created with.

The "partner" of this `Navigator` is the `FindStartElementNavigator` working exactly as the `FindEndElementNavigator` for the `StartElement`.

     <anyElement> -> false
      <searchedElement> -> false
          <anyElement\> -> false
          <searchedElement\> -> true
      <\searchedElement> -> true
     <\anyElement> -> false

Constructor Summary
`FindEndElementNavigator(String name)`
`FindEndElementNavigator(String name, Attribute... attributes)`
`FindEndElementNavigator(String name, List<Attribute> attributes)`

Method Summary
`boolean` | `fulfillsCriteria(XMLEvent event)` Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.
`boolean` | `isActive()` Every time the `Navigator.fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindEndElementNavigator

    public FindEndElementNavigator(String name)

### FindEndElementNavigator

    public FindEndElementNavigator(String name,
                                   List<Attribute> attributes)

### FindEndElementNavigator

    public FindEndElementNavigator(String name,
                                   Attribute... attributes)

Method Detail

### fulfillsCriteria

    public boolean fulfillsCriteria(XMLEvent event)

  Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.

  Specified by:
    `fulfillsCriteria` in interface `Navigator`
  Parameters:
    `event` - of the XML analyzed at the moment.
  Returns:
    if the `XMLEvent` full fills all criteria of the `Navigator`.
  See Also:
    `Navigator.fulfillsCriteria(javax.xml.stream.events.XMLEvent)`

### isActive

    public boolean isActive()

  Every time the `Navigator.fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`. As long as the `Navigator.fulfillsCriteria(XMLEvent)` method is not called again this method returns the last returned value of the `Navigator.fulfillsCriteria(XMLEvent)` method. As long the `Navigator.fulfillsCriteria(XMLEvent)` is not called false should be returned.

  Specified by:
    `isActive` in interface `Navigator`
  Returns:
    the actual value returned by the `Navigator.fulfillsCriteria(XMLEvent)` method.
  See Also:
    `Navigator.isActive()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.